Workflows
Set Workflow YAML
Replace the workflow graph from YAML input and sync the canonical workflow.yml artifact. Reference files and library items in this YAML must be created and managed through the Library API.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key with:
Authorization: Bearer <YOUR_API_KEY>
In: header
Path Parameters
workflow_id*string
Workflow ID
Format
uuidRequest Body
application/yaml
body*string
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.fastfold.ai/v1/workflows//workflow.yml" \ -H "Content-Type: application/yaml" \ -d 'version: 1 jobs: start: type: start description: Workflow start point label: Start design_spec: type: input subType: design_specification_yml description: Define entities (proteins, ligands, files) and constraints for the design specification. Library item files must be managed via the Library API. workflowTaskTypeId: input_design_spec_boltzgen_v1 inputPayload: inputYML: c92a75eeda074fd1a3975220da72595e_design-spec-input-1.yml inputYMLLibraryItemId: 932243a2-f830-4a98-9009-117f46e2bf4d files: - libraryItemId: b7d3fe21-a56b-43fb-a613-71914868bafe fileName: 75bd9bfef02d4e29a718fe28442dfc4f_5cqg.cif label: Design Spec boltzgen: type: pipeline subType: boltzgen description: Boltzgen pipeline with multiple processing steps workflowTaskTypeId: pipeline_run_boltzgen_v1 inputPayload: protocolName: protein-anything numDesigns: 5 budget: 2 label: Boltzgen end: type: end description: End of your workflow label: End workflows: main: jobs: - start - design_spec: requires: - start - boltzgen: requires: - design_spec - end: requires: - boltzgen '{
"workflowId": "ecdf7c28-d773-41cb-bfa6-05e7ff27af42",
"graph": {
"workflowId": "ecdf7c28-d773-41cb-bfa6-05e7ff27af42",
"nodes": [],
"edges": []
},
"workflowYml": {
"createdLibraryItem": false,
"libraryItemId": "7df594c6-cf7a-4da6-838e-feecf0165602",
"fileName": "workflow.yml",
"versionId": "c0fdad95-b2f8-4f54-8740-dcbf7b4820ba"
}
}{
"message": "Empty YAML spec"
}{
"message": "Workflow not found"
}{
"message": "Workflow not found"
}Last updated on